org.apache.ignite.spi.discovery.tcp.messages

## Class TcpDiscoveryJoinRequestMessage

- java.lang.Object
- - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage
  - - org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryJoinRequestMessage

All Implemented Interfaces:
  Serializable

    public class TcpDiscoveryJoinRequestMessage
    extends TcpDiscoveryAbstractMessage

Initial message sent by a node that wants to enter topology. Sent to random node during SPI start. Then forwarded directly to coordinator.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`CHANGE_TOPOLOGY_FLAG_POS, CLIENT_ACK_FLAG_POS, CLIENT_FLAG_POS, CLIENT_RECON_SUCCESS_FLAG_POS, FORCE_FAIL_FLAG_POS, RESPONDED_FLAG_POS`

### Constructor Summary

Constructors
Constructor and Description
`TcpDiscoveryJoinRequestMessage(TcpDiscoveryNode node, DiscoveryDataPacket dataPacket)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`DiscoveryDataPacket` `gridDiscoveryData()`
`TcpDiscoveryNode` `node()` Gets new node that wants to join the topology.
`boolean` `responded()`
`void` `responded(boolean responded)`
`String` `toString()`

### Methods inherited from class org.apache.ignite.spi.discovery.tcp.messages.TcpDiscoveryAbstractMessage

`addFailedNode, client, client, creatorNodeId, failedNodes, failedNodes, force, force, getFlag, hashCode, highPriority, id, pendingIndex, pendingIndex, senderNodeId, senderNodeId, setFlag, topologyVersion, topologyVersion, traceLogLevel, verified, verifierNodeId, verify`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TcpDiscoveryJoinRequestMessage

    public TcpDiscoveryJoinRequestMessage(TcpDiscoveryNode node,
                                          DiscoveryDataPacket dataPacket)

Constructor.

Parameters:
  `node` - New node that wants to join.
  `dataPacket` - Discovery data.

### Method Detail

#### node

    public TcpDiscoveryNode node()

Gets new node that wants to join the topology.

Returns:
  Node that wants to join the topology.

#### gridDiscoveryData

    public DiscoveryDataPacket gridDiscoveryData()

#### responded

    public boolean responded()

Returns:
  `true` flag.

#### responded

    public void responded(boolean responded)

Parameters:
  `responded` - Responded flag.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `TcpDiscoveryAbstractMessage`

#### toString

    public String toString()

Overrides:
  `toString` in class `TcpDiscoveryAbstractMessage`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019